Summary: The GNU core utilities.
Name: coreutils
Version: 5.93
Release: 4.0.0.%{_hhl_build_id}
Source: %{name}_%{version}.orig.tar.gz
Patch0: %{name}_%{version}-5.diff.gz
Patch1: coreutils-glibc24.diff 
Patch2: coreutils-uclibc.diff
License: GPL
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
%description
These are the GNU core utilities.  This package is the union of
the GNU fileutils, sh-utils, and textutils packages.

%package -n shellutils
Summary: The GNU shell programming utilities.
Group: base
Obsoletes : hhl-target-shellutils
Obsoletes : hhl-%{_hhl_target_arch}-shellutils

%description -n shellutils
The utilities: basename chroot date dirname echo env expr factor
false hostid id logname nice nohup pathchk pinky printenv printf pwd 
seq sleep stty tee test true tty uname users who whoami yes.


%package -n shellutils-doc
Summary: The GNU shell programming utilities.
Group: base
Obsoletes : hhl-%{_hhl_target_arch}-shellutils-doc

%description -n shellutils-doc
The utilities: basename chroot date dirname echo env expr factor
false hostid id logname nice nohup pathchk pinky printenv printf pwd 
seq sleep stty tee test true tty uname users who whoami yes.

This package includes the documentation for shellutils.


%package -n hostname
Summary: The GNU shell programming utilities.
Group: base
Obsoletes : hhl-%{_hhl_target_arch}-shellutils-hostname

%description -n hostname
The utilities: basename chroot date dirname  echo env expr factor
false hostid id logname nice nohup pathchk pinky printenv printf pwd 
seq sleep stty tee test true tty uname users who whoami yes.

This package provides the shellutils version of hostname.

%package -n fileutils
Summary: GNU file management utilities.
Group: base
Obsoletes: hhl-target-fileutils
Obsoletes: hhl-%{_hhl_target_arch}-fileutils

%description -n fileutils
The utilities: chgrp chmod chown cp dd dir dircolors du install link ln
ls mkdir mkfifo mknod mv rm rmdir shred touch unlink vdir sync.



%package -n textutils
Summary: The GNU text file processing utilities.
Group: base
Obsoletes : hhl-target-textutils
Obsoletes : hhl-%{_hhl_target_arch}-textutils

%description -n textutils
The utilities: cat cksum comm csplit cut expand fmt fold head join md5sum
nl od paste pr ptx sort split sum tac tail tr tsort unexpand uniq wc.

%package -n stat
Summary: A tool for finding out information about a specified file.
Group: utils
Obsoletes : hhl-target-stat
Obsoletes : hhl-%{_hhl_target_arch}-stat

%description -n stat
The stat utility prints out filesystem level information about a
specified file, including size, permissions, link count, inode, etc.

%prep
%target_check
%setup -q -n coreutils-%{version}
%patch -p1
tar xfj coreutils-%{version}.tar.bz2
cd coreutils-%{version}
%patch1 -p2
%patch2 -p2

%build
%target_setup
cd coreutils-%{version}
%target_acplatvars
export ac_cv_header_stdc=yes
export fu_cv_sys_stat_statfs2_bsize=yes
%target_configure
%make all | tee -a build.log


%install
rm -rf %{buildroot}
%target_setup
cd coreutils-%{version}
cp COPYING LICENSE
#general
%target_makeinstall | tee -a build.log

gzip -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*.?
gzip -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
# The procps package is supposed to supply uptime.
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/uptime
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/uptime.1.gz

#the shadow package is supposed to supply su
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/su
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/su.1.gz

#the shadow package is supposed to supply groups
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/groups
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/groups.1.gz

#the procps package is supposed to supply kill
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/kill
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/kill.1.gz

#stat
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/stat %{buildroot}%{_hhl_cross_target_dir}/bin/.

#shellutils
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/{echo,pwd,sleep,uname,hostname,true,stty,false,date,chroot,nice} %{buildroot}%{_hhl_cross_target_dir}/bin
(cd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}; ln -s ../../bin/nice nice)

#fileutils
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/{chgrp,chmod,chown,cp,dd,df,du,dir,dircolors,install,link,ln,ls,mkdir,mkfifo,mknod,mv,readlink,rm,rmdir,shred,sync,touch,unlink,vdir} %{buildroot}%{_hhl_cross_target_dir}/bin

#textutils
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cat %{buildroot}%{_hhl_cross_target_dir}/bin
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cut %{buildroot}%{_hhl_cross_target_dir}/bin
(cd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}; ln -s ../../bin/cut cut)


%clean
rm -rf %{buildroot}


%files -n coreutils
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_data_dir}/locale/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*.info*
%doc coreutils-%{version}/ABOUT-NLS
%doc coreutils-%{version}/AUTHORS
%doc coreutils-%{version}/COPYING
%doc coreutils-%{version}/NEWS
%doc coreutils-%{version}/README
%doc coreutils-%{version}/THANKS
%doc coreutils-%{version}/TODO
%doc coreutils-%{version}/LICENSE



%files -n shellutils
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/chroot
%{_hhl_cross_target_dir}/bin/date
%{_hhl_cross_target_dir}/bin/echo
%{_hhl_cross_target_dir}/bin/false
%{_hhl_cross_target_dir}/bin/pwd
%{_hhl_cross_target_dir}/bin/sleep
%{_hhl_cross_target_dir}/bin/stty
%{_hhl_cross_target_dir}/bin/true
%{_hhl_cross_target_dir}/bin/uname
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/[
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/basename
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/dirname
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/env
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/expr
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/factor
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/hostid
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/id
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/logname
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/nice
%{_hhl_cross_target_dir}/bin/nice
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/nohup
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/pathchk
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/pinky
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/printenv
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/printf
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/seq
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/tee
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/test
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/tty
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/users
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/who
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/whoami
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/yes
%doc coreutils-%{version}/LICENSE

%files -n shellutils-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/basename.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/chroot.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/date.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/dirname.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/echo.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/env.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/expr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/factor.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/false.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/hostid.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/id.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/logname.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/nice.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/nohup.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/pathchk.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/pinky.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/printenv.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/printf.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/pwd.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/seq.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/sleep.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/stty.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/tee.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/test.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/true.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/tty.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/uname.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/users.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/who.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/whoami.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/yes.1.gz
%doc coreutils-%{version}/LICENSE

%files -n hostname
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/hostname
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/hostname.1.gz
%doc coreutils-%{version}/LICENSE



%files -n fileutils
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/chgrp
%{_hhl_cross_target_dir}/bin/chmod
%{_hhl_cross_target_dir}/bin/chown
%{_hhl_cross_target_dir}/bin/cp
%{_hhl_cross_target_dir}/bin/dd
%{_hhl_cross_target_dir}/bin/df
%{_hhl_cross_target_dir}/bin/du
%{_hhl_cross_target_dir}/bin/dir
%{_hhl_cross_target_dir}/bin/dircolors
%{_hhl_cross_target_dir}/bin/install
%{_hhl_cross_target_dir}/bin/link
%{_hhl_cross_target_dir}/bin/ln
%{_hhl_cross_target_dir}/bin/ls
%{_hhl_cross_target_dir}/bin/mkdir
%{_hhl_cross_target_dir}/bin/mkfifo
%{_hhl_cross_target_dir}/bin/mknod
%{_hhl_cross_target_dir}/bin/mv
%{_hhl_cross_target_dir}/bin/readlink
%{_hhl_cross_target_dir}/bin/rm
%{_hhl_cross_target_dir}/bin/rmdir
%{_hhl_cross_target_dir}/bin/shred
%{_hhl_cross_target_dir}/bin/sync
%{_hhl_cross_target_dir}/bin/touch
%{_hhl_cross_target_dir}/bin/unlink
%{_hhl_cross_target_dir}/bin/vdir
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/chgrp.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/chmod.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/chown.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cp.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/dd.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/df.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/du.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/dir.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/dircolors.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/install.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/link.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ln.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ls.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/mkdir.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/mkfifo.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/mknod.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/mv.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/readlink.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/rm.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/rmdir.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/shred.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/sync.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/touch.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/unlink.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/vdir.1.gz
%doc coreutils-%{version}/LICENSE



%files -n textutils
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/cat
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cksum
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/comm
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/csplit
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cut
%{_hhl_cross_target_dir}/bin/cut
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/expand
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/fmt
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/fold
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/head
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/join
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/md5sum
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/nl
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/od
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/paste
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/pr
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/ptx
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sha1sum
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sort
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/split
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sum
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/tac
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/tail
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/tr
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/tsort
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/unexpand
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/uniq
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/wc
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cat.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cksum.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/comm.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/csplit.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cut.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/expand.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/fmt.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/fold.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/head.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/join.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/md5sum.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/nl.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/od.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/paste.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/pr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ptx.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/sha1sum.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/sort.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/split.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/sum.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/tac.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/tail.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/tr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/tsort.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/unexpand.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/uniq.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/wc.1.gz 
%doc coreutils-%{version}/LICENSE

%files -n stat
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/stat
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/stat.1.gz 
%doc coreutils-%{version}/LICENSE

%changelog
* Mon Jan 9 2006 Yi Yang <yyang@ch.mvista.com>
- Update to 5.93-5
* Mon Aug 17 2004 Ryan Burns <rburns@mvista.com>
- First cut

